#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1414\r"; sleep 2;
echo -e "write (0,1) -1378\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1426\r"; sleep 2;
echo -e "write (0,4) -1421\r"; sleep 2;
echo -e "write (0,5) -1507\r"; sleep 2;
echo -e "write (0,6) -1623\r"; sleep 2;
echo -e "write (0,9) -1521\r"; sleep 2;
echo -e "write (0,10) -1428\r"; sleep 2;
echo -e "write (0,11) -1325\r"; sleep 2;
echo -e "write (0,12) -1422\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1481\r"; sleep 2;
echo -e "write (1,0) -1470\r"; sleep 2;
echo -e "write (1,1) -1390\r"; sleep 2;
echo -e "write (1,2) -1472\r"; sleep 2;
echo -e "write (1,3) -1600\r"; sleep 2;
echo -e "write (1,4) -1512\r"; sleep 2;
echo -e "write (1,5) -1323\r"; sleep 2;
echo -e "write (1,6) -1524\r"; sleep 2;
echo -e "write (1,9) -1335\r"; sleep 2;
echo -e "write (1,10) -1409\r"; sleep 2;
echo -e "write (1,11) -1240\r"; sleep 2;
echo -e "write (1,12) -1476\r"; sleep 2;
echo -e "write (1,13) -1338\r"; sleep 2;
echo -e "write (1,14) -1501\r"; sleep 2;
echo -e "write (2,0) -1483\r"; sleep 2;
echo -e "write (2,1) -1421\r"; sleep 2;
echo -e "write (2,2) -1403\r"; sleep 2;
echo -e "write (2,3) -1683\r"; sleep 2;
echo -e "write (2,4) -1571\r"; sleep 2;
echo -e "write (2,5) -1497\r"; sleep 2;
echo -e "write (2,6) -1376\r"; sleep 2;
echo -e "write (2,9) -1592\r"; sleep 2;
echo -e "write (2,10) -1554\r"; sleep 2;
echo -e "write (2,11) -1234\r"; sleep 2;
echo -e "write (2,12) -1394\r"; sleep 2;
echo -e "write (2,14) -1573\r"; sleep 2;
echo -e "write (3,0) -1410\r"; sleep 2;
echo -e "write (3,1) -1232\r"; sleep 2;
echo -e "write (3,2) -1288\r"; sleep 2;
echo -e "write (3,3) -1382\r"; sleep 2;
echo -e "write (3,4) -1359\r"; sleep 2;
echo -e "write (3,5) -1320\r"; sleep 2;
echo -e "write (3,6) -1224\r"; sleep 2;
echo -e "write (3,9) -1411\r"; sleep 2;
echo -e "write (3,10) -1537\r"; sleep 2;
echo -e "write (3,11) -1341\r"; sleep 2;
echo -e "write (3,12) -1634\r"; sleep 2;
echo -e "write (3,13) -1294\r"; sleep 2;
echo -e "write (3,14) -1400\r"; sleep 2;
echo -e "write (4,0) -1626\r"; sleep 2;
echo -e "write (4,1) -1389\r"; sleep 2;
echo -e "write (4,2) -1470\r"; sleep 2;
echo -e "write (4,3) -1595\r"; sleep 2;
echo -e "write (4,4) -1522\r"; sleep 2;
echo -e "write (4,5) -1308\r"; sleep 2;
echo -e "write (4,6) -1303\r"; sleep 2;
echo -e "write (4,9) -1580\r"; sleep 2;
echo -e "write (4,10) -1528\r"; sleep 2;
echo -e "write (4,11) -1354\r"; sleep 2;
echo -e "write (4,12) -1619\r"; sleep 2;
echo -e "write (4,13) -1432\r"; sleep 2;
echo -e "write (4,14) -1324\r"; sleep 2;
echo -e "write (5,0) -1456\r"; sleep 2;
echo -e "write (5,1) -1313\r"; sleep 2;
echo -e "write (5,2) -1334\r"; sleep 2;
echo -e "write (5,3) -1353\r"; sleep 2;
echo -e "write (5,4) -1544\r"; sleep 2;
echo -e "write (5,5) -1394\r"; sleep 2;
echo -e "write (5,6) -1386\r"; sleep 2;
echo -e "write (5,9) -1238\r"; sleep 2;
echo -e "write (5,10) -1554\r"; sleep 2;
echo -e "write (5,11) -1393\r"; sleep 2;
echo -e "write (5,12) -1344\r"; sleep 2;
echo -e "write (5,13) -1603\r"; sleep 2;
echo -e "write (5,14) -1536\r"; sleep 2;
echo -e "write (6,0) -1572\r"; sleep 2;
echo -e "write (6,1) -1651\r"; sleep 2;
echo -e "write (6,2) -1374\r"; sleep 2;
echo -e "write (6,3) -1411\r"; sleep 2;
echo -e "write (6,4) -1329\r"; sleep 2;
echo -e "write (6,5) -1255\r"; sleep 2;
echo -e "write (6,6) -1431\r"; sleep 2;
echo -e "write (6,9) -1519\r"; sleep 2;
echo -e "write (6,10) -1548\r"; sleep 2;
echo -e "write (6,11) -1492\r"; sleep 2;
echo -e "write (6,12) -1376\r"; sleep 2;
echo -e "write (6,13) -1474\r"; sleep 2;
echo -e "write (6,14) -1350\r"; sleep 2;
echo -e "write (7,0) -1336\r"; sleep 2;
echo -e "write (7,1) -1355\r"; sleep 2;
echo -e "write (7,2) -1155\r"; sleep 2;
echo -e "write (7,3) -1467\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1467\r"; sleep 2;
echo -e "write (7,6) -1540\r"; sleep 2;
echo -e "write (7,9) -1354\r"; sleep 2;
echo -e "write (7,10) -1501\r"; sleep 2;
echo -e "write (7,11) -1391\r"; sleep 2;
echo -e "write (7,12) -1194\r"; sleep 2;
echo -e "write (7,13) -1464\r"; sleep 2;
echo -e "write (7,14) -1477\r"; sleep 2;
echo -e "write (8,0) -1214\r"; sleep 2;
echo -e "write (8,1) -1459\r"; sleep 2;
echo -e "write (8,2) -1195\r"; sleep 2;
echo -e "write (8,3) -1382\r"; sleep 2;
echo -e "write (8,4) -1326\r"; sleep 2;
echo -e "write (8,5) -1380\r"; sleep 2;
echo -e "write (8,6) -1461\r"; sleep 2;
echo -e "write (8,9) -1444\r"; sleep 2;
echo -e "write (8,10) -1412\r"; sleep 2;
echo -e "write (8,11) -1600\r"; sleep 2;
echo -e "write (8,12) -1415\r"; sleep 2;
echo -e "write (8,13) -1263\r"; sleep 2;
echo -e "write (8,14) -1600\r"; sleep 2;
echo -e "write (9,0) -1189\r"; sleep 2;
echo -e "write (9,1) -1253\r"; sleep 2;
echo -e "write (9,2) -1181\r"; sleep 2;
echo -e "write (9,3) -1209\r"; sleep 2;
echo -e "write (9,4) -1279\r"; sleep 2;
echo -e "write (9,5) -1422\r"; sleep 2;
echo -e "write (9,6) -1309\r"; sleep 2;
echo -e "write (9,9) -1447\r"; sleep 2;
echo -e "write (9,10) -1167\r"; sleep 2;
echo -e "write (9,11) -1602\r"; sleep 2;
echo -e "write (9,12) -1467\r"; sleep 2;
echo -e "write (9,13) -1352\r"; sleep 2;
echo -e "write (9,14) -1330\r"; sleep 2;
echo -e "write (10,0) -1255\r"; sleep 2;
echo -e "write (10,1) -1339\r"; sleep 2;
echo -e "write (10,2) -1510\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1474\r"; sleep 2;
echo -e "write (10,5) -1479\r"; sleep 2;
echo -e "write (10,6) -1310\r"; sleep 2;
echo -e "write (10,9) -1537\r"; sleep 2;
echo -e "write (10,10) -1518\r"; sleep 2;
echo -e "write (10,11) -1407\r"; sleep 2;
echo -e "write (10,12) -1303\r"; sleep 2;
echo -e "write (10,13) -1592\r"; sleep 2;
echo -e "write (10,14) -1382\r"; sleep 2;
echo -e "write (11,0) -1369\r"; sleep 2;
echo -e "write (11,1) -1242\r"; sleep 2;
echo -e "write (11,2) -1448\r"; sleep 2;
echo -e "write (11,3) -1309\r"; sleep 2;
echo -e "write (11,4) -1197\r"; sleep 2;
echo -e "write (11,5) -1366\r"; sleep 2;
echo -e "write (11,6) -1435\r"; sleep 2;
echo -e "write (11,9) -1577\r"; sleep 2;
echo -e "write (11,10) -1307\r"; sleep 2;
echo -e "write (11,11) -1271\r"; sleep 2;
echo -e "write (11,12) -1223\r"; sleep 2;
echo -e "write (11,13) -1314\r"; sleep 2;
echo -e "write (11,14) -1254\r"; sleep 2;
echo -e "write (12,0) -1214\r"; sleep 2;
echo -e "write (12,1) -1250\r"; sleep 2;
echo -e "write (12,2) -1333\r"; sleep 2;
echo -e "write (12,3) -1314\r"; sleep 2;
echo -e "write (12,4) -1372\r"; sleep 2;
echo -e "write (12,5) -1308\r"; sleep 2;
echo -e "write (12,6) -1298\r"; sleep 2;
echo -e "write (12,9) -1266\r"; sleep 2;
echo -e "write (12,10) -1320\r"; sleep 2;
echo -e "write (12,11) -1203\r"; sleep 2;
echo -e "write (12,12) -1499\r"; sleep 2;
echo -e "write (12,13) -1626\r"; sleep 2;
echo -e "write (12,14) -1350\r"; sleep 2;
echo -e "write (13,0) -1413\r"; sleep 2;
echo -e "write (13,1) -1526\r"; sleep 2;
echo -e "write (13,2) -1508\r"; sleep 2;
echo -e "write (13,3) -1504\r"; sleep 2;
echo -e "write (13,4) -1600\r"; sleep 2;
echo -e "write (13,5) -1539\r"; sleep 2;
echo -e "write (13,6) -1448\r"; sleep 2;
echo -e "write (13,9) -1405\r"; sleep 2;
echo -e "write (13,10) -1447\r"; sleep 2;
echo -e "write (13,11) -1482\r"; sleep 2;
echo -e "write (13,12) -1422\r"; sleep 2;
echo -e "write (13,13) -1624\r"; sleep 2;
echo -e "write (13,14) -1637\r"; sleep 2;
echo -e "write (14,0) -1439\r"; sleep 2;
echo -e "write (14,1) -1336\r"; sleep 2;
echo -e "write (14,2) -1439\r"; sleep 2;
echo -e "write (14,3) -1497\r"; sleep 2;
echo -e "write (14,4) -1402\r"; sleep 2;
echo -e "write (14,5) -1332\r"; sleep 2;
echo -e "write (14,6) -1195\r"; sleep 2;
echo -e "write (14,9) -1357\r"; sleep 2;
echo -e "write (14,10) -1164\r"; sleep 2;
echo -e "write (14,11) -1275\r"; sleep 2;
echo -e "write (14,12) -1372\r"; sleep 2;
echo -e "write (14,13) -1454\r"; sleep 2;
echo -e "write (14,14) -1203\r"; sleep 2;
echo -e "write (15,0) -1332\r"; sleep 2;
echo -e "write (15,1) -1208\r"; sleep 2;
echo -e "write (15,2) -1600\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
